MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024254Open CASCADE[OCCT] OCCT:Testspublic2013-10-11 12:052014-04-16 16:11
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.6.0 
Target VersionFixed in Version[OCCT] 6.7.0 
Summary0024254: A lot of regressions in test cases on OCCT built with Intel compiler
DescriptionThere are 4500+ failed test cases on OCCT which was build with Intel compiler.
Example of exception:
An exception was caught 0065FCDC : Standard_NumericError: FLT MULTIPLE TRAPS (possible overflow in conversion of double to integer)

Tests executed on IR-2013-10-03-master-occt-intel:
http://occt-tests/results_2013-10-07T1459intel/summary.html [^]
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024589closedbugmaster Draw Harness - disable floating-point exceptions by default 
related to 0024308closedabv Enable option /fp:precise explicitly in Visual Studio projects 

-  Notes
(0026044)
abv (manager)
2013-10-11 12:24

Roman, please try to reproduce this issue (check with Igor on how to attach Intel compiler to Visual Studio, this should be quite straightforward).
(0028881)
abv (manager)
2014-04-16 16:09

As discovered by Roman, these problems are caused by the fact that ICC uses option /fp:fast by default, producing code which is not safe for floating-point calculations and causes FPE signals if they are enabled. Since in DRAW we do enable FPE signals, using /fp:fast leads to many FPE exceptions.

The solution implemented currently (in OCCT 6.7.9, see 0024308) is to enforce option /fp:precise in generated Visual Studio projects. When such project is converted to use of ICC, this option is preserved, and the code runs safely.

The fix for 0024308 solves the problem (at least on Windows), thus I close this issue.

Another possibility would be to use /fp:fast option and improve the code to make it working. This is subject of 0024589.

Note that so far we have not been able to observe measurable performance increase on version with /fp:fast as compared to /fp:precise.

- Issue History
Date Modified Username Field Change
2013-10-11 12:05 apn New Issue
2013-10-11 12:05 apn Assigned To => mkv
2013-10-11 12:06 apn Assigned To mkv => abv
2013-10-11 12:06 apn Status new => assigned
2013-10-11 12:21 abv Assigned To abv => rkv
2013-10-11 12:24 abv Note Added: 0026044
2013-10-15 16:43 rkv Assigned To rkv => inv
2013-10-15 17:30 bugmaster Assigned To inv => bugmaster
2014-04-16 16:09 abv Note Added: 0028881
2014-04-16 16:09 abv Status assigned => closed
2014-04-16 16:09 abv Resolution open => fixed
2014-04-16 16:09 abv Fixed in Version => 6.7.0
2014-04-16 16:09 abv Relationship added related to 0024589
2014-04-16 16:11 abv Relationship added related to 0024308


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker